Usage - List
取得指定位置的目前計算資源使用量資訊,以及訂用帳戶下計算資源的限制。
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/usages?api-version=2026-03-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
Azure 區域的名稱。 |
|
subscription
|
path | True |
string minLength: 1 |
目標訂用帳戶的標識碼。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
要求已成功。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 冒用您的使用者帳戶 |
範例
|
Usage_List_Maximum |
|
Usage_List_Minimum |
Usage_List_MaximumSet_Gen
範例要求
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/4_./usages?api-version=2026-03-01
範例回覆
{
"value": [
{
"unit": "Count",
"currentValue": 17,
"limit": 19,
"name": {
"value": "aaaaaaaaaaaaaaaaaa",
"localizedValue": "aaaaaaaaaaaaaa"
}
}
],
"nextLink": "a://example.com/aaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
Usage_List_MinimumSet_Gen
範例要求
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/_--/usages?api-version=2026-03-01
範例回覆
{
"value": [
{
"unit": "Count",
"currentValue": 17,
"limit": 19,
"name": {}
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Api |
Api 錯誤。 |
|
Api |
API 錯誤基底。 |
|
Cloud |
來自計算服務的錯誤回應。 |
|
Inner |
內部錯誤詳細數據。 |
|
List |
列出使用量作業回應。 |
| Usage |
描述計算資源使用量。 |
|
Usage |
使用名稱。 |
ApiError
Api 錯誤。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| details |
Api 錯誤詳細數據 |
|
| innererror |
Api 內部錯誤 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
特定錯誤的目標。 |
ApiErrorBase
API 錯誤基底。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 |
| message |
string |
錯誤訊息。 |
| target |
string |
特定錯誤的目標。 |
CloudError
來自計算服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
Api 錯誤。 |
InnerError
內部錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| errordetail |
string |
內部錯誤訊息或例外狀況傾印。 |
| exceptiontype |
string |
例外狀況型別。 |
ListUsagesResult
列出使用量作業回應。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string (uri) |
擷取下一頁計算資源使用資訊的 URI。 使用 this 呼叫 ListNext() 以擷取計算資源使用量資訊的下一頁。 |
| value |
Usage[] |
運算資源使用量清單。 |
Usage
描述計算資源使用量。
| 名稱 | 類型 | Description |
|---|---|---|
| currentValue |
integer (int32) |
資源的目前使用量。 |
| limit |
integer (int64) |
資源允許的最大使用量。 |
| name |
使用方式類型的名稱。 |
|
| unit |
enum:
Count |
描述使用量度量單位的列舉。 |
UsageName
使用名稱。
| 名稱 | 類型 | Description |
|---|---|---|
| localizedValue |
string |
資源的當地語系化名稱。 |
| value |
string |
資源名稱。 |